using Yuna.Website.Server.Model;

namespace Yuna.Website.Server.Storage.Repositories.Device
{
    public interface IDeviceRepository
    {
        public Task<Model.Device?> GetById(long id);
        public Task<IReadOnlyList<Model.Device>> GetList();
        public Task<IReadOnlyList<Model.Device>> GetList(long userId);
        public Task<Model.Device?> Create(Model.Device device);
        public Task<Model.Device?> Update(Model.Device device);
        public Task<Model.Device?> Delete(long id);
        public Task AddProps(IReadOnlyList<Model.Prop> skills, long deviceId);
    }
}
